## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface SybaseASEPartition

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASEHashPartition, SybaseASEListPartition, SybaseASERangePartition, SybaseASERoundrobinPartition

All Known Implementing Classes:
  SybaseASEHashPartitionImpl, SybaseASEListPartitionImpl, SybaseASEPartitionImpl, SybaseASERangePartitionImpl, SybaseASERoundrobinPartitionImpl

    public interface SybaseASEPartition

extends SQLObject

A representation of the model object 'Sybase ASE Partition'.

See Also:
  `PartitionPackage.getSybaseASEPartition()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`